Skip to main content
GET
/
v1
/
account
/
me
Get current account information
curl --request GET \
  --url https://api.sfcompute.com/v1/account/me \
  --header 'Authorization: Bearer <token>'
{
  "id": "gmail-com-name",
  "role": "user",
  "is_frozen": false,
  "kyc": "basic",
  "submitted_waitlist": true,
  "waitlist": false,
  "kycb_form_submitted": false,
  "created_at": "2024-01-15T10:30:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.sfcompute.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Create an API token using sf tokens create or at https://sfcompute.com/account/api-keys.

Response

Account information retrieved successfully

Response body for the account/me endpoint.

id
string
required

The unique identifier for the account

Example:

"gmail-com-name"

role
string
required

The role assigned to this account

Example:

"user"

is_frozen
boolean
required

Whether the account is currently frozen

Example:

false

kyc
string
required

The KYC (Know Your Customer) verification level

Example:

"basic"

submitted_waitlist
boolean
required

Whether the user has submitted the waitlist form

Example:

true

waitlist
boolean
required

Whether the user is on the waitlist

Example:

false

kycb_form_submitted
boolean
required

Whether the KYC-B form has been submitted

Example:

false

created_at
integer<u-int64>
required

When the account was created as a epoch unix timestamp

Required range: x >= 0
Example:

1749704176